Bug 89918 - Updated 2.4.20-9 kernel too large for boot disk
Summary: Updated 2.4.20-9 kernel too large for boot disk
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-29 19:29 UTC by Jim Shanks
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-11 03:51:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Shanks 2003-04-29 19:29:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The updated i686 kernel 2.4.20-9 is too large for a boot disk.  Image file
created as /tmp/mkbootdisk.JbDgf1 is 147560 bytes.  A standard 1.44 floppy holds
only 1464320 bytes.  This is related to bug #89727, but seems to apply to kernel
images other than just SMP.

Version-Release number of selected component (if applicable):
2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1. mkbootdisk --device /dev/fd0 2.4.20-9
2.
3.
    

Actual Results:  Insert a disk in /dev/fd0. Any information on the disk will be
lost.
Press <Enter> to continue or ^C to abort:
cp: writing `/tmp/mkbootdisk.JbDgf1/initrd.img': No space left on device
cat: write error: No space left on device
cat: write error: No space left on device
20+0 records in
20+0 records out


Expected Results:  Should create a working boot disk.

Additional info:

Comment 1 Jeremy Katz 2003-06-11 03:51:39 UTC
Unfortunately, the kernel has gotten bigger, floppies haven't.  mkbootdisk has
an option to create a boot iso instead -- please see the man page for more details.


Note You need to log in before you can comment on or make changes to this bug.